Description: Set log path out of web dir
Forwarded: not-needed
Author: Fab Stz <fabstz-it@yahoo.fr>
Last-Update: 2022-02-12

--- a/system/core/Log.php
+++ b/system/core/Log.php
@@ -183,7 +183,7 @@
 			return FALSE;
 		}
 
-		$filepath = $this->_log_path.'log-'.date('Y-m-d').'.'.$this->_file_ext;
+		$filepath = $this->_log_path.'log.'.$this->_file_ext;
 		$message = '';
 
 		if ( ! file_exists($filepath))
--- a/application/config/config.php
+++ b/application/config/config.php
@@ -236,7 +236,8 @@
 | application/logs/ directory. Use a full server path with trailing slash.
 |
 */
-$config['log_path'] = '';
+$config['log_path'] = '/var/log/php-codeigniter-framework/';
+$config['log_file_extension'] = 'log';
 
 /*
 |--------------------------------------------------------------------------
